package com.emato.ich.utils;

import java.util.Date;

/**
 * 包装了原生的日志类
 * 新增了时间的输出
 */
public class Log {

    public static void i (String tag, String msg) {
        android.util.Log.i(tag, addDateTime(msg));
    }

    public static void i (String tag, String msg, Throwable ex) {
        android.util.Log.i(tag, addDateTime(msg), ex);
    }

    public static void w (String tag, String msg) {
        android.util.Log.w(tag, addDateTime(msg));
    }

    public static void w (String tag, String msg, Throwable ex) {
        android.util.Log.w(tag, addDateTime(msg), ex);
    }

    public static void w (String tag, Throwable ex) {
        android.util.Log.w(tag, ex);
    }

    public static void e (String tag, String msg, Throwable ex) {
        android.util.Log.w(tag, addDateTime(msg), ex);
    }

    public static void d (String tag, String msg) {
        android.util.Log.d(tag, addDateTime(msg));
    }

    public static void d (String tag, String msg, Throwable ex) {
        android.util.Log.d(tag, addDateTime(msg), ex);
    }

    public static void e (String tag, String msg) {
        android.util.Log.w(tag, addDateTime(msg));
    }

    private static String addDateTime(String msg){
        return "[" + Thread.currentThread().getName() + "] " + DateUtils.formatDate(new Date()) + " ===> " + msg;
    }
}
